function objToStrMap(obj) {
  let strMap = new Map();
  for (let k of Object.keys(obj)) {
    strMap.set(k, obj[k]);
  }
  return strMap;
}
function strMapToObj(strMap) {
  let obj = Object.create(null);
  for (let [k, v] of strMap) {
    obj[k] = v;
  }
  return obj;
}
function strMapToJson(strMap) {
  return JSON.stringify(strMapToObj(strMap));
}
function mapToJson(map) {
  return JSON.stringify([...map]);
}

/**
 * 将map对象转换为JSONString
 */
function mapToJsonStr(strMap) {
  return JSON.stringify(strMapToObj(strMap));
}
/**
 * 将JSONString对象转换为map
 */
function jsonToStrMap(jsonStr) {
  return objToStrMap(JSON.parse(jsonStr));
}
module.exports = {
  mapToJsonStr: mapToJsonStr,
  jsonToStrMap: jsonToStrMap,
  strMapToJson: strMapToJson,
  strMapToObj: strMapToObj
}